LibreOffice LibreOffice 24.2 SDK C/C++ API Reference

Loading...
Searching...
No Matches
Classes | Namespaces | Functions
component_context.hxx File Reference
`#include "com/sun/star/uno/Any.hxx"`
`#include "com/sun/star/uno/Reference.hxx"`
`#include "cppuhelper/cppuhelperdllapi.h"`
`#include "rtl/ustring.hxx"`
`#include "sal/types.h"`

Go to the source code of this file.

## Classes
struct | cppu::ContextEntry_Init
| Context entries init struct calling createComponentContext(). More...

## Namespaces
namespace | com
namespace | com::sun
namespace | com::sun::star
namespace | com::sun::star::uno
namespace | cppu

## Functions
CPPUHELPER_DLLPUBLIC css::uno::Reference< css::uno::XComponentContext > | cppu::createComponentContext (ContextEntry_Init const *pEntries, sal_Int32 nEntries, css::uno::Reference< css::uno::XComponentContext > const &xDelegate=css::uno::Reference< css::uno::XComponentContext >())
| Creates a component context with the given entries.